package cn.iocoder.yudao.module.member.dal.mysql.storecomplain;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.member.controller.admin.storecomplain.vo.StoreComplainPageReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.storecomplain.StoreComplainDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 投诉 Mapper
 *
 * @author 开发账号
 */
@Mapper
public interface StoreComplainMapper extends BaseMapperX<StoreComplainDO> {

    default PageResult<StoreComplainDO> selectPage(StoreComplainPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<StoreComplainDO>()
                .eqIfPresent(StoreComplainDO::getUserId, reqVO.getUserId())
                .eqIfPresent(StoreComplainDO::getStoreId, reqVO.getStoreId())
                .likeIfPresent(StoreComplainDO::getStoreName, reqVO.getStoreName())
                .eqIfPresent(StoreComplainDO::getTopic, reqVO.getTopic())
                .eqIfPresent(StoreComplainDO::getDes, reqVO.getDescribe())
                .eqIfPresent(StoreComplainDO::getUrl, reqVO.getUrl())
                .eqIfPresent(StoreComplainDO::getPhone, reqVO.getPhone())
                .betweenIfPresent(StoreComplainDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(StoreComplainDO::getId));
    }

}